Patch-Source: https://gitlab.alpinelinux.org/alpine/apk-tools/-/commit/f08f8d4c57b814309a03b434e524f8b83c0697ee
--
From f08f8d4c57b814309a03b434e524f8b83c0697ee Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Timo=20Ter=C3=A4s?= <timo.teras@iki.fi>
Date: Wed, 10 May 2023 16:51:56 +0300
Subject: [PATCH] del: fix up previous commit

fixes commit "del: fix --rdepends" to not delete provided names
if not using --rdepends
---
 src/app_del.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/src/app_del.c b/src/app_del.c
index 3d0e928..d40f724 100644
--- a/src/app_del.c
+++ b/src/app_del.c
@@ -111,13 +111,15 @@ static void delete_pkg(struct apk_package *pkg0, struct apk_dependency *dep0,
 	struct apk_dependency *d;
 
 	apk_deps_del(&ctx->world, pkg0->name);
-	foreach_array_item(d, pkg0->provides)
-		apk_deps_del(&ctx->world, d->name);
 
-	if (ctx->recursive_delete)
+	if (ctx->recursive_delete) {
+		foreach_array_item(d, pkg0->provides)
+			apk_deps_del(&ctx->world, d->name);
+
 		apk_pkg_foreach_reverse_dependency(
 			pkg0, ctx->genid | APK_FOREACH_INSTALLED | APK_DEP_SATISFIES,
 			delete_pkg, pctx);
+	}
 }
 
 static int delete_name(struct apk_database *db, const char *match,
-- 
GitLab

